GroovyFilter (groovy 2.4.3 API)
Date: 2015-03-23

Package: groovy.ui.text

## [Java] Class GroovyFilter

- groovy.ui.text.GroovyFilter

- Authors:
    Evan "Hippy" Slatis

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `BINARY_INTEGER_LITERAL` |
    `static String` | `COMMENT` |
    `static String` | `DECIMAL_FLOATING_POINT_LITERAL` |
    `static String` | `DECIMAL_INTEGER_LITERAL` |
    `static String` | `DIGIT` |
    `static String` | `HEXADECIMAL_FLOATING_POINT_LITERAL` |
    `static String` | `HEX_INTEGER_LITERAL` |
    `static String` | `IDENT` |
    `static String` | `LEFT_PARENS` |
    `static String` | `OCTAL_INTEGER_LITERAL` |
    `static String` | `OPERATION` |
    `static String` | `QUOTES` |
    `static String` | `RESERVED_WORD` |
    `static String[]` | `RESERVED_WORDS` |
    `static String` | `SINGLE_QUOTES` |
    `static String` | `SLASHY_QUOTES` |
    `static String` | `SLASH_SLASH_COMMENT` |
    `static String` | `SLASH_STAR_COMMENT` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class StructuredSyntaxDocumentFilter` | `TAB_REPLACEMENT, lexer, mlTextRunSet, styledDocument`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyFilter (DefaultStyledDocument doc)` Creates a new instance of GroovyFilter

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static void` | `installAutoTabAction(JTextComponent tComp)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StructuredSyntaxDocumentFilter` | `createLexerNode, getRootNode, insertString, parseDocument, remove, replace`
    `class DocumentFilter` | `insertString, remove, replace, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String BINARY_INTEGER_LITERAL

    - #### public static final String COMMENT

    - #### public static final String DECIMAL_FLOATING_POINT_LITERAL

    - #### public static final String DECIMAL_INTEGER_LITERAL

    - #### public static final String DIGIT

    - #### public static final String HEXADECIMAL_FLOATING_POINT_LITERAL

    - #### public static final String HEX_INTEGER_LITERAL

    - #### public static final String IDENT

    - #### public static final String LEFT_PARENS

    - #### public static final String OCTAL_INTEGER_LITERAL

    - #### public static final String OPERATION

    - #### public static final String QUOTES

    - #### public static final String RESERVED_WORD

    - #### public static final String[] RESERVED_WORDS

    - #### public static final String SINGLE_QUOTES

    - #### public static final String SLASHY_QUOTES

    - #### public static final String SLASH_SLASH_COMMENT

    - #### public static final String SLASH_STAR_COMMENT

  - ### Constructor Detail

    - #### public GroovyFilter(DefaultStyledDocument doc)

      Creates a new instance of GroovyFilter

  - ### Method Detail

    - #### public static void installAutoTabAction(JTextComponent tComp)